/*
 * Front gateway
 *
 * Front gateway
 *
 * API version: 0.0.1
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package openapi

type UserIsNotConfirmed struct {

	Kind string `json:"kind,omitempty"`
}

// AssertUserIsNotConfirmedRequired checks if the required fields are not zero-ed
func AssertUserIsNotConfirmedRequired(obj UserIsNotConfirmed) error {
	return nil
}

// AssertRecurseUserIsNotConfirmedRequired recursively checks if required fields are not zero-ed in a nested slice.
// Accepts only nested slice of UserIsNotConfirmed (e.g. [][]UserIsNotConfirmed), otherwise ErrTypeAssertionError is thrown.
func AssertRecurseUserIsNotConfirmedRequired(objSlice interface{}) error {
	return AssertRecurseInterfaceRequired(objSlice, func(obj interface{}) error {
		aUserIsNotConfirmed, ok := obj.(UserIsNotConfirmed)
		if !ok {
			return ErrTypeAssertionError
		}
		return AssertUserIsNotConfirmedRequired(aUserIsNotConfirmed)
	})
}
